org.eclipse.rdf4j.rio.helpers

## Class AbstractRioSetting<T>

- java.lang.Object
- - org.eclipse.rdf4j.rio.helpers.AbstractRioSetting<T>

- Type Parameters:
    `T` - the setting type
  All Implemented Interfaces:
    Serializable, RioSetting<T>
  Direct Known Subclasses:
    BooleanRioSetting, ClassRioSetting, LongRioSetting, RioSettingImpl, StringRioSetting

      public abstract class AbstractRioSetting<T>
      extends Object
      implements RioSetting<T>

  Base class for `RioSetting`. Includes base functionality for reading default values from system properties.
  Author:
    Jeen Broekstra
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractRioSetting(String key, String description, T defaultValue)` Create a new setting object that will be used to reference the given setting.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `T` | `getDefaultValue()` Returns the default value for this parser setting if it is not set by a user.
    `String` | `getDescription()` The human readable name for this parser setting
    `String` | `getKey()` A unique key for this parser setting.
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.rio.RioSetting

      `convert`

- - ### Constructor Detail

    - #### AbstractRioSetting

          protected AbstractRioSetting(String key,
                                       String description,
                                       T defaultValue)

      Create a new setting object that will be used to reference the given setting.
      Parameters:
        `key` - A unique key to use for this setting.
        `description` - A short human-readable description for this setting.
        `defaultValue` - An immutable value specifying the default for this setting. This can be optionally be overridden by a system property with a name equal to the setting's unique key.

  - ### Method Detail

    - #### getKey

          public String getKey()

      Description copied from interface: `RioSetting`
      A unique key for this parser setting.
      Specified by:
        `getKey` in interface `RioSetting<T>`
      Returns:
        A unique key identifying this parser setting.

    - #### getDescription

          public String getDescription()

      Description copied from interface: `RioSetting`
      The human readable name for this parser setting
      Specified by:
        `getDescription` in interface `RioSetting<T>`
      Returns:
        The name for this parser setting.

    - #### getDefaultValue

          public T getDefaultValue()

      Description copied from interface: `RioSetting`
      Returns the default value for this parser setting if it is not set by a user.
      Specified by:
        `getDefaultValue` in interface `RioSetting<T>`
      Returns:
        The default value for this parser setting.

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.